Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.oci
Class Blob

    java.lang.Object
      |
      +--weblogic.jdbc.oci.Blob

public final class Blob
extends java.lang.Object
implements java.sql.Blob, weblogic.jdbc.common.OracleLobCloser, weblogic.jdbc.common.OracleBlob

Version:
  2.0
Author:
  Copyright (c) 1999 by BEA WebXpress. All Rights Resrved.

Constructor Summary
`Blob(weblogic.db.oci.OciCursor cur, int pos, weblogic.db.oci.OciValue value, Connection con)`

Method Summary
`void` | `close()`
`void` | `closeLob()`
`java.io.OutputStream` | `getBinaryOutputStream()` WebLogic extension to return an OutputStream for writing to this BLOB
`java.io.InputStream` | `getBinaryStream()`
`byte[]` | `getBytes(long position, int length)`
`protected weblogic.db.oci.OciLob` | `getOciLob()` OCI 8.1.5 or greater only public long getChunkSize() { return ((OciLob)val.valobj).getLobChunkSize(cur); }
`long` | `length()`
`long` | `position(java.sql.Blob pattern, long start)`
`long` | `position(byte[] pattern, long start)`
`java.io.OutputStream` | `setBinaryStream(long a)`
`int` | `setBytes(long a, byte[] b)`
`int` | `setBytes(long a, byte[] b, int c, int d)`
`void` | `truncate(long a)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Blob

    public Blob(weblogic.db.oci.OciCursor cur,
                int pos,
                weblogic.db.oci.OciValue value,
                Connection con)
         throws java.sql.SQLException

Method Detail

### getBinaryStream

    public java.io.InputStream getBinaryStream()
                                        throws java.sql.SQLException

  Specified by:
    getBinaryStream in interface java.sql.Blob

### getBytes

    public byte[] getBytes(long position,
                           int length)
                    throws java.sql.SQLException

  Specified by:
    getBytes in interface java.sql.Blob

### length

    public long length()
                throws java.sql.SQLException

  Specified by:
    length in interface java.sql.Blob

### position

    public long position(java.sql.Blob pattern,
                         long start)
                  throws java.sql.SQLException

  Specified by:
    position in interface java.sql.Blob

### position

    public long position(byte[] pattern,
                         long start)
                  throws java.sql.SQLException

  Specified by:
    position in interface java.sql.Blob

### getBinaryOutputStream

    public java.io.OutputStream getBinaryOutputStream()
                                               throws java.sql.SQLException

  WebLogic extension to return an OutputStream for writing to this BLOB
  Specified by:
    getBinaryOutputStream in interface weblogic.jdbc.common.OracleBlob

### getOciLob

    protected weblogic.db.oci.OciLob getOciLob()

  OCI 8.1.5 or greater only public long getChunkSize() { return ((OciLob)val.valobj).getLobChunkSize(cur); }

### closeLob

    public void closeLob()

  Specified by:
    closeLob in interface weblogic.jdbc.common.OracleLobCloser

### close

    public void close()

### truncate

    public void truncate(long a)
                  throws java.sql.SQLException

### setBytes

    public int setBytes(long a,
                        byte[] b)
                 throws java.sql.SQLException

### setBytes

    public int setBytes(long a,
                        byte[] b,
                        int c,
                        int d)
                 throws java.sql.SQLException

### setBinaryStream

    public java.io.OutputStream setBinaryStream(long a)
                                         throws java.sql.SQLException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference